# GitLab use cases for data analysis projects

- creating new project in [GitLab](https://www.gitlab.com):
  - project namespace
  - group and individual access levels
- `README.md` file:
  - editing in the browser
  - [markdown](https://github.com/adam-p/markdown-here/wiki/Markdown-Cheatsheet) language
  - commiting changes
  - checking commit log and graph
  - checking changes
  - project skeletons
- _use case:_ writing minutes of a meeting
- _use case:_ bioinformatics analysis:
  - integration with [Rstudio](https://www.rstudio.com/):
    - example report in R/[Rmarkdown](http://rmarkdown.rstudio.com/)
  - interaction with collaborators:
    - delivering reports through GitLab
    - [tagging](https://git-scm.com/book/en/v2/Git-Basics-Tagging) repository states
    - requesting changes ([issues](http://doc.gitlab.com/ce/gitlab-basics/create-issue.html))